/*
 *  configuration.c - functions parsing the configuration file
 *
 *  Copyright (C) 1998-1999 Hugo Haas
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>
#include <unistd.h>

#include "configuration.h"
#include "filter.h"

int yyparse(void);

/*
 * open_configuration
 *
 * Open the configuration file
 */

FILE *open_configuration(char *name) {
  FILE *configfile;

  configfile = fopen(name, "r");
  if (configfile == NULL) {
    printf("Cannot open configuration file %s.\n", name);
    exit(1);
  }
  return configfile;
}

/*
 * parse_config_file
 *
 * Parse the configuration file
 *
 */

void parse_config_file(char *filename) {
  FILE *configfile;
  int fd;
  extern int line_number;

  configfile = open_configuration(filename);
  line_number = 1;
  fd = fileno(configfile);
  dup2(fd, 0);
  yyparse();
}
